import { PageResult, PageParams } from './common';

export interface StudentListFilter {
  // 姓名
  name: string;
  // 准考证号
  examNo: string;
  // 密号
  secretNo: string;
  // 学号
  studentNo: string;
  // 科目
  subject: string;
  // 层次
  level: string;
  // 专业类型
  majorType: string;
  // 状态
  status: string;
  // 批次编号
  batchNo: string;
  // 签到表编号
  signBookNo: string;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 考点
  examSite: string;
  // 考场
  examRoom: string;
  // 扫描张数
  scanPages?: number;
}
export type StudentListPageParam = PageParams<StudentListFilter>;

export interface StudentItem {
  id: number;
  // 准考证号
  examNo: string;
  // 密号
  secretNo: string;
  // 姓名
  name: string;
  // 学号
  studentNo: string;
  // 科目
  subject: string;
  // 试卷类型
  examType: string;
  // 扫描图
  sheetUrls: string[];
  // 层次
  level: string;
  // 专业类型
  majorType: string;
  // 扫描识别
  scanRecognition: boolean;
  // 扫描张数
  scanPages: number;
  // 人工指定
  manualAssign: boolean;
  // 批次编号
  batchNo: string;
  // 签到表编号
  signBookNo: string;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 考点
  examSite: string;
  // 考场
  examRoom: string;
}

export type StudentListPageRes = PageResult<StudentItem>;

export interface StudentUpdateParam {
  id?: number;
  // 姓名
  name: string;
  // 学号
  studentNo: string;
  // 准考证号
  examno: string;
  // 科目
  subject: string;
  // 学院
  college: string;
  // 班级
  className: string;
  // 任课老师
  teacher: string;
  // 签到表编号
  signBookNo: string;
}
